Auth API reference

Auth API · Consumer-Mfa

get/{app_slug}/v1/me/mfa/factorsAuth

List the authenticated EndUser's MFA factors

Includes factors in any state (pending enrollment + enabled). Disabled factors are not listed.

Path parameters

app_slug*string

Slug of the app.

Response · 200

data*array

The user's MFA factors.

Example

Request

GET https://api.auth.productcraft.co/{app_slug}/v1/me/mfa/factors
Authorization: Bearer YOUR_TOKEN

Response

{
  "data": [
    {
      "id": "string",
      "type": "totp",
      "label": "string",
      "enabled": false,
      "created_at": "2026-01-01T00:00:00.000Z",
      "enabled_at": "2026-01-01T00:00:00.000Z"
    }
  ]
}